Bug 735997 - legacy code cleanup .
Summary: legacy code cleanup .
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: lpeer
QA Contact:
URL:
Whiteboard: infra virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 11:43 UTC by Oded Ramraz
Modified: 2012-12-11 06:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-11 06:42:32 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Oded Ramraz 2011-09-06 11:43:36 UTC
Description of problem:

I noticed in our automatic tests Cobertura ( coverage tool )  report that there are many non reachable / usable classes in the Backend code.

Few examples:
class TimeLeaseVmPoolMapDAOHibernate , GetAllVmPoolsAttachedToUserQuery , DetachUserFromTimeLeasedPoolCommand , GetTemplateMessagesQuery  , GetVmCustomPropertiesQuery , VmQuery ( it is a empty method ) .

There are plenty of more examples. 

BTW , although this is a coding issue i can verify it using the Cobertura tool . 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Oded Ramraz 2011-10-25 13:35:24 UTC
There is also future code which is not in use such as the hibernate code .

Comment 3 Itamar Heim 2012-12-11 06:42:32 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.